Trac < 0.11.7 Security Bypass Vulnerability

Medium Nessus Network Monitor Plugin ID 5490

Synopsis

The remote web server is hosting an application that is vulnerable to a security bypass attack.

Description

The remote web server is hosting Trac, a web-based software management application. The installed version of Trac is earlier than 0.11.7. Such versions are potentially affected by a security bypass flaw which allows unauthorized users to modify the status and resolution of a ticket.

Solution

Upgrade to Trac 0.11.7 or later.

See Also

http://trac.edgewall.org/browser/tags/trac-0.11.7/RELEASE

Plugin Details

Severity: Medium

ID: 5490

Family: CGI

Published: 2010/03/30

Modified: 2016/02/05

Dependencies: 1442, 4649

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4

Temporal Score: 3.3

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSSv3

Base Score: 4.2

Temporal Score: 3.9

Vector: CVSS3#AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:N

Temporal Vector: CVSS3#E:F/RL:O/RC:C

Vulnerability Information

Patch Publication Date: 2010/03/10

Vulnerability Publication Date: 2010/03/30

Reference Information

BID: 39040